Bug 1491612 (CVE-2017-12167)

Summary: CVE-2017-12167 EAP-7: Wrong privileges on multiple property files
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, jawilson, jshepherd, lgao, myarboro, pgier, psakar, pslavice, psotirop, rnetuka, rsvoboda, twalsh, vtunka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that properties based files of the management and the application realm configuration that contain user to role mapping are world readable allowing access to users and roles information to all the users logged in to the system.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:25:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1491614, 1520314, 1527613    

Description Andrej Nemec 2017-09-14 09:22:28 UTC
It was found that properties based files of the management and the application realm  configuration that contain user to role mapping are world readable allowing access to users and roles information to all the users logged in to the system.

Comment 3 Andrej Nemec 2017-09-14 09:35:04 UTC
Acknowledgments:

Name: Brian Stansberry (Red Hat), Jeremy Choi (Red Hat)

Comment 5 errata-xmlrpc 2017-12-13 17:38:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2017:3456 https://access.redhat.com/errata/RHSA-2017:3456

Comment 6 errata-xmlrpc 2017-12-13 18:29:41 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3454 https://access.redhat.com/errata/RHSA-2017:3454

Comment 7 errata-xmlrpc 2017-12-13 18:45:24 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2017:3455 https://access.redhat.com/errata/RHSA-2017:3455

Comment 8 errata-xmlrpc 2017-12-13 18:55:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3458 https://access.redhat.com/errata/RHSA-2017:3458

Comment 9 errata-xmlrpc 2018-01-03 10:22:07 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:0003 https://access.redhat.com/errata/RHSA-2018:0003

Comment 10 errata-xmlrpc 2018-01-03 10:33:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2018:0002 https://access.redhat.com/errata/RHSA-2018:0002

Comment 11 errata-xmlrpc 2018-01-03 10:35:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7

Via RHSA-2018:0004 https://access.redhat.com/errata/RHSA-2018:0004

Comment 12 errata-xmlrpc 2018-01-03 10:52:45 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2018:0005 https://access.redhat.com/errata/RHSA-2018:0005